[arch-commits] Commit in python-oslo-log/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Dec 4 19:15:20 UTC 2018


    Date: Tuesday, December 4, 2018 @ 19:15:19
  Author: felixonmars
Revision: 411202

archrelease: copy trunk to community-any

Added:
  python-oslo-log/repos/community-any/PKGBUILD
    (from rev 411201, python-oslo-log/trunk/PKGBUILD)
Deleted:
  python-oslo-log/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  132 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 66 insertions(+), 66 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-12-04 19:15:00 UTC (rev 411201)
+++ PKGBUILD	2018-12-04 19:15:19 UTC (rev 411202)
@@ -1,66 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-oslo-log
-pkgname=(python-oslo-log python2-oslo-log)
-pkgver=3.41.0
-pkgrel=1
-pkgdesc="Oslo Logging Library"
-arch=('any')
-url="https://pypi.python.org/pypi/oslo.log/$pkgver"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-oslo-config'
-             'python2-oslo-config' 'python-oslo-context' 'python2-oslo-context' 'python-oslo-i18n'
-             'python2-oslo-i18n' 'python-oslo-utils' 'python2-oslo-utils' 'python-oslo-serialization'
-             'python2-oslo-serialization' 'python-debtcollector' 'python2-debtcollector'
-             'python-pyinotify' 'python2-pyinotify' 'python-dateutil' 'python2-dateutil'
-             'python-monotonic' 'python2-monotonic')
-checkdepends=('python-mock' 'python2-mock' 'python-oslotest' 'python2-oslotest')
-options=('!emptydirs')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.log/archive/$pkgver.tar.gz")
-sha512sums=('5b868349a5a254cbda0e4667ed1ef5697dd92a1bb8e269720e7068c4ca8cc98e5a6a596d9ec0adc9d6d88740a0ea906bd98cd4a8f13906c36c1def3eb0fbb59d')
-
-prepare() {
-  sed -i 's/unittest2/unittest/g' oslo.log-$pkgver/oslo_log/tests/unit/*.py
-  cp -a oslo.log-$pkgver{,-py2}
-
-  export PBR_VERSION=$pkgver
-}
-
-build() {
-  cd "$srcdir"/oslo.log-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/oslo.log-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/oslo.log-$pkgver
-  stestr run || warning "Tests failed"
-
-  cd "$srcdir"/oslo.log-$pkgver-py2
-  PYTHON=python2 stestr2 run
-}
-
-package_python-oslo-log() {
-  depends=('python-six' 'python-pbr' 'python-oslo-config' 'python-oslo-context' 'python-oslo-i18n'
-           'python-oslo-utils' 'python-oslo-serialization' 'python-debtcollector' 'python-pyinotify'
-           'python-dateutil' 'python-monotonic')
-
-  cd "$srcdir"/oslo.log-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-oslo-log() {
-  depends=('python2-six' 'python2-pbr' 'python2-oslo-config' 'python2-oslo-context' 'python2-oslo-i18n'
-           'python2-oslo-utils' 'python2-oslo-serialization' 'python2-debtcollector' 'python2-pyinotify'
-           'python2-dateutil' 'python2-monotonic')
-
-  cd "$srcdir"/oslo.log-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/convert-json{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-oslo-log/repos/community-any/PKGBUILD (from rev 411201, python-oslo-log/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-12-04 19:15:19 UTC (rev 411202)
@@ -0,0 +1,66 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-oslo-log
+pkgname=(python-oslo-log python2-oslo-log)
+pkgver=3.42.0
+pkgrel=1
+pkgdesc="Oslo Logging Library"
+arch=('any')
+url="https://pypi.python.org/pypi/oslo.log/$pkgver"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-oslo-config'
+             'python2-oslo-config' 'python-oslo-context' 'python2-oslo-context' 'python-oslo-i18n'
+             'python2-oslo-i18n' 'python-oslo-utils' 'python2-oslo-utils' 'python-oslo-serialization'
+             'python2-oslo-serialization' 'python-debtcollector' 'python2-debtcollector'
+             'python-pyinotify' 'python2-pyinotify' 'python-dateutil' 'python2-dateutil'
+             'python-monotonic' 'python2-monotonic')
+checkdepends=('python-mock' 'python2-mock' 'python-oslotest' 'python2-oslotest')
+options=('!emptydirs')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.log/archive/$pkgver.tar.gz")
+sha512sums=('42ed8507f7e69ab0fbd7795c47ecd8334cdd7dba28b17122f3b239e55c2e63c0ebc3f2d6a4f06432d6c9f05c2ad80d2fcee56015dd3baf4eebbb5c97522000c4')
+
+prepare() {
+  sed -i 's/unittest2/unittest/g' oslo.log-$pkgver/oslo_log/tests/unit/*.py
+  cp -a oslo.log-$pkgver{,-py2}
+
+  export PBR_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/oslo.log-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/oslo.log-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/oslo.log-$pkgver
+  stestr run || warning "Tests failed"
+
+  cd "$srcdir"/oslo.log-$pkgver-py2
+  PYTHON=python2 stestr2 run
+}
+
+package_python-oslo-log() {
+  depends=('python-six' 'python-pbr' 'python-oslo-config' 'python-oslo-context' 'python-oslo-i18n'
+           'python-oslo-utils' 'python-oslo-serialization' 'python-debtcollector' 'python-pyinotify'
+           'python-dateutil' 'python-monotonic')
+
+  cd "$srcdir"/oslo.log-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-oslo-log() {
+  depends=('python2-six' 'python2-pbr' 'python2-oslo-config' 'python2-oslo-context' 'python2-oslo-i18n'
+           'python2-oslo-utils' 'python2-oslo-serialization' 'python2-debtcollector' 'python2-pyinotify'
+           'python2-dateutil' 'python2-monotonic')
+
+  cd "$srcdir"/oslo.log-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/convert-json{,2}
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list